import React from 'react';
import { SelectOption } from './types';
declare const DefaultTrigger: React.ForwardRefExoticComponent<{
    selectRef: React.Ref<HTMLElement>;
    disabled: boolean;
    variant: import("./types").SelectVariant;
    label: string;
    multiple: boolean;
    onClick: () => void;
    selectedOptions: SelectOption[];
    visible: boolean;
    triggerId?: string | undefined;
    setListVisibility: (visible: boolean) => void;
    onClear?: ((evt: React.MouseEvent<Element, MouseEvent> | React.KeyboardEvent<Element>) => void) | undefined;
} & Pick<import("./types").SearchableSubLabelSelectProps<any>, "outline" | "autoFocus"> & React.RefAttributes<HTMLElement>>;
export default DefaultTrigger;
