import React from 'react';
import { SelectListProps, SelectOption } from './types';
declare function List<T extends SelectOption>({ className, selectAllLabel, highlightedText, variant, multiple, onSelect, onSelectAll, onSearchChange, options, optionType, emptyStateLabel, renderEmptyState, searchable, searchInitialValue, searchAutofocus, searchPlaceholder, searchNoResultsLabel, minOptionsToDisplaySearch, selectedOptionsWithValuesOnly, creatableOptions, style, isLoading, submitOptions, onSubmit, onCancel, metadata, isSubLabelSearchEnabled, ...restProps }: SelectListProps<T>, ref: React.Ref<HTMLDivElement>): JSX.Element;
declare const ListWithRef: <T extends SelectOption>(props: SelectListProps<T> & {
    ref: React.ForwardedRef<HTMLDivElement>;
}) => ReturnType<typeof List>;
export default ListWithRef;
