import React from 'react';
import { SearchableSubLabelSelectProps, SelectOption } from './types';
declare function SelectWithRef<T extends SelectOption>({ className, listClassName, closeOnSelect, disabled, variant, selectAllLabel, metadata, multiple, onSearchChange, onSelect, onListVisibilityChange, options, emptyStateLabel, renderEmptyState, renderTrigger, optionType, searchable, searchAutofocus, searchInitialValue, searchNoResultsLabel, searchPlaceholder, selectedOptions, minOptionsToDisplaySearch, triggerLabel, outline, autoFocus, triggerId, creatableOptions, isClearable, highlightedText, isLoading, submitOptions, isSubLabelSearchEnabled, }: SearchableSubLabelSelectProps<T>, ref: React.Ref<HTMLDivElement>): JSX.Element;
declare namespace SelectWithRef {
    var displayName: string;
}
/**
 * According to this article: https://fettblog.eu/typescript-react-generic-forward-refs/
 */
export declare const SearchableSubLabelSelect: <T extends SelectOption>(props: SearchableSubLabelSelectProps<T> & {
    ref?: React.Ref<HTMLDivElement> | undefined;
}) => ReturnType<typeof SelectWithRef>;
export default SearchableSubLabelSelect;
